About Window
============

AboutWindow
--------------

.. autoclass:: firefox_puppeteer.ui.about_window.window.AboutWindow
   :members:
   :inherited-members:

Deck
----

.. autoclass:: firefox_puppeteer.ui.about_window.deck.Deck
   :members:
   :inherited-members:

ApplyPanel
----------

.. autoclass:: firefox_puppeteer.ui.about_window.deck.ApplyPanel
   :members:
   :inherited-members:

CheckForUpdatesPanel
--------------------

.. autoclass:: firefox_puppeteer.ui.about_window.deck.CheckForUpdatesPanel
   :members:
   :inherited-members:

CheckingForUpdatesPanel
-----------------------

.. autoclass:: firefox_puppeteer.ui.about_window.deck.CheckingForUpdatesPanel
   :members:
   :inherited-members:

DownloadAndInstallPanel
-----------------------

.. autoclass:: firefox_puppeteer.ui.about_window.deck.DownloadAndInstallPanel
   :members:
   :inherited-members:

DownloadFailedPanel
-------------------

.. autoclass:: firefox_puppeteer.ui.about_window.deck.DownloadFailedPanel
   :members:
   :inherited-members:

DownloadingPanel
----------------

.. autoclass:: firefox_puppeteer.ui.about_window.deck.DownloadingPanel
   :members:
   :inherited-members:

